failure to boot with linux-image-4.15.0-24-generic

Bug #1779827 reported by Frank on 2018-07-03
302
This bug affects 62 people
Affects Status Importance Assigned to Milestone
Ubuntu
Undecided
Unassigned
Bionic
Undecided
Unassigned
linux (Ubuntu)
Critical
Joseph Salisbury
Bionic
Critical
Joseph Salisbury

Bug Description

This was the last OK then my 18.04 hangs after an update this morning. 07:00 AM CEST

Last Ok in boot was Started gnome display manager. dispatcher service ...... tem changes.pp link was shut down

Tried install lightdm from command line and the response was lastest already installed.

Probably it is what is coming after the lastest OK which is to be the error. And here I have lots of guesses......

Any Ideas ? I need to do some work and I may not be waiting long.

Search and browsed and now close to give up. Yeah it is a Lenovo.

Guys: turn of auto update it is a machine killer.

CVE References

Frank (frank-jonsson) wrote :

And this morning was July 3th 7:00 AM CEST

xu zhang (choku1982) wrote :

I have this issue too.

The dpkg.log shows as bellow:

     upgrade linux-libc-dev:amd64 4.15.0-23.25 4.15.0-24.26
     upgrade gnome-control-center-data:all 1:3.28.1-0ubuntu1.18.04.1 1:3.28.1-0ubunt1.18.04.2
     upgrade gnome-control-center:amd64 1:3.28.1-0ubuntu1.18.04.1 1:3.28.1-0ubunt1.18.04.2
     upgrade gnome-control-center-faces:all 1:3.28.1-0ubuntu1.18.04.1 1:3.28.1-0ubunt1.18.04.2
     upgrade linux-generic:amd64 4.15.0.23.25 4.15.0.24.26
     upgrade linux-image-generic:amd64 4.15.0.23.25 4.15.0.24.26
     upgrade linux-headers-generic:amd64 4.15.0.23.25 4.15.0.24.26

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in ubuntu:
status: New → Confirmed

Here too on my Thinkpad T520.

Happens also on a complete fresh install after applying latest updates from today

Curiously my home-build computer (using also intel-graphics) works without any problem ...

Thank you for taking the time to report this bug and helping to make Ubuntu better. It seems that your bug report is not filed about a specific source package though, rather it is just filed against Ubuntu in general. It is important that bug reports be filed about source packages so that people interested in the package can find the bugs about it. You can find some hints about determining what package your bug might be about at https://wiki.ubuntu.com/Bugs/FindRightPackage. You might also ask for help in the #ubuntu-bugs irc channel on Freenode.

To change the source package that this bug is filed about visit https://bugs.launchpad.net/ubuntu/+bug/1779827/+editstatus and add the package name in the text box next to the word Package.

[This is an automated message. I apologize if it reached you inappropriately; please just reply to this message indicating so.]

tags: added: bot-comment
Frank (frank-jonsson) wrote :

https://wiki.ubuntu.com/Bugs/FindRightPackage
I was reqested to follow above, and I would really like to be help that why I trues to emphaize that the title of My incident is the last OK in the bootlist and where it hangs
More over it is one of the packages release on My laptop When opened it eight hours ago. These info must narrow Down to be very few packages. I am still at work.

Frank (frank-jonsson) wrote :

This is the result of less /var/log/apt/history.log

Start-Date: 2018-07-03 06:50:16
Commandline: /usr/bin/unattended-upgrade
Upgrade: linux-libc-dev:amd64 (4.15.0-23.25, 4.15.0-24.26)
End-Date: 2018-07-03 06:50:17

Start-Date: 2018-07-03 06:50:19
Commandline: /usr/bin/unattended-upgrade
Install: linux-headers-4.15.0-24:amd64 (4.15.0-24.26, automatic), linux-headers-4.15.0-24-generic:amd64 (4.15.0-24.26, automatic), linux-modules-extra-4.15.0-24-generic:amd64 (4.15.0-24.26, automatic), linux-modules-4.15.0-24-generic:amd64 (4.15.0-24.26, automatic), linux-image-4.15.0-24-generic:amd64 (4.15.0-24.26, automatic)
Upgrade: linux-headers-generic:amd64 (4.15.0.23.25, 4.15.0.24.26), linux-image-generic:amd64 (4.15.0.23.25, 4.15.0.24.26), linux-generic:amd64 (4.15.0.23.25, 4.15.0.24.26)
End-Date: 2018-07-03 06:51:04

Start-Date: 2018-07-03 07:47:59
Commandline: aptdaemon role='role-commit-packages' sender=':1.221'
Upgrade: bolt:amd64 (0.2-0ubuntu1, 0.3-0ubuntu0.1), gstreamer1.0-alsa:amd64 (1.14.0-2ubuntu1, 1.14.1-1ubuntu1~ubuntu18.04.1), networkd-dispatcher:amd64 (1.7-0ubuntu3, 1.7-0ubuntu3.2), fonts-beng-extra:amd64 (1.0-6, 1.0-6ubuntu0.1), gstreamer1.0-plugins-base-apps:amd64 (1.14.0-2ubuntu1, 1.14.1-1ubuntu1~ubuntu18.04.1), update-notifier-common:amd64 (3.192.1, 3.192.1.1), gstreamer1.0-tools:amd64 (1.14.0-1, 1.14.1-1~ubuntu18.04.1), fonts-deva-extra:amd64 (3.0-4, 3.0-4ubuntu0.1), gstreamer1.0-plugins-good:amd64 (1.14.0-1ubuntu1, 1.14.1-1ubuntu1~ubuntu18.04.1), virtualbox-dkms:amd64 (5.2.10-dfsg-6, 5.2.10-dfsg-6ubuntu18.04.1), gstreamer1.0-plugins-bad:amd64 (1.14.0-1ubuntu1, 1.14.1-1ubuntu1~ubuntu18.04.1), gstreamer1.0-plugins-base:amd64 (1.14.0-2ubuntu1, 1.14.1-1ubuntu1~ubuntu18.04.1), virtualbox:amd64 (5.2.10-dfsg-6, 5.2.10-dfsg-6ubuntu18.04.1), libgstreamer-plugins-good1.0-0:amd64 (1.14.0-1ubuntu1, 1.14.1-1ubuntu1~ubuntu18.04.1), gstreamer1.0-pulseaudio:amd64 (1.14.0-1ubuntu1, 1.14.1-1ubuntu1~ubuntu18.04.1), libgstreamer-gl1.0-0:amd64 (1.14.0-2ubuntu1, 1.14.1-1ubuntu1~ubuntu18.04.1), gstreamer1.0-x:amd64 (1.14.0-2ubuntu1, 1.14.1-1ubuntu1~ubuntu18.04.1), gir1.2-gst-plugins-base-1.0:amd64 (1.14.0-2ubuntu1, 1.14.1-1ubuntu1~ubuntu18.04.1), fonts-orya-extra:amd64 (2.0-5, 2.0-5ubuntu0.1), virtualbox-qt:amd64 (5.2.10-dfsg-6, 5.2.10-dfsg-6ubuntu18.04.1), fonts-gujr-extra:amd64 (1.0-6, 1.0-6ubuntu0.1), gir1.2-gstreamer-1.0:amd64 (1.14.0-1, 1.14.1-1~ubuntu18.04.1), libgstreamer-plugins-bad1.0-0:amd64 (1.14.0-1ubuntu1, 1.14.1-1ubuntu1~ubuntu18.04.1), update-notifier:amd64 (3.192.1, 3.192.1.1), gstreamer1.0-gl:amd64 (1.14.0-2ubuntu1, 1.14.1-1ubuntu1~ubuntu18.04.1), gstreamer1.0-plugins-ugly:amd64 (1.14.0-1, 1.14.1-1~ubuntu18.04.1)
Remove: linux-modules-extra-4.15.0-22-generic:amd64 (4.15.0-22.24), linux-headers-4.15.0-22:amd64 (4.15.0-22.24), linux-modules-4.15.0-22-generic:amd64 (4.15.0-22.24), linux-headers-4.15.0-22-generic:amd64 (4.15.0-22.24), linux-image-4.15.0-22-generic:amd64 (4.15.0-22.24)
End-Date: 2018-07-03 07:49:01
~

Isank Agarwal (isank) wrote :

I faced this issue after performing an upgrade on my system at around 5 PM (IST). The symptoms were all the same as stated in the comments above.

I don't know if this is a good workaround. But, what I did is

sudo apt remove linux-image-4.15.0-24-generic linux-headers-4.15.0-24-generic

And, this helped me get the system back.

Frank (frank-jonsson) wrote :

When I reinstall all these again they are all in and I get the notice "set to manually installed." for every single on of them.
To me this means that the main package that is dependent on all these "set to manually installed." is not installed.
If I uninstall VLC I get vlc-noc automatically. If I uninstall VLC the vlc-noc will uninstall, too.
If I then install vlc-noc it will notify me with "set to manually installed."
I am probably barking up the wrong tree, but it is just the way it comes to me right now.

Jindrich Ocenasek (ocenasekj) wrote :

Lenovo X230 - exactly the same issue :-(

perry (fischpj) wrote :

Same issue here, HP EliteBook 8440p, SSD disk.

tags: added: bionic regression-update
summary: - Started gnome display manager. dispatcher service
+ failure to boot with inux-image-4.15.0-24-generic

Are you able to boot if you select the prior kernel version(4.15.0-23) from the GRUB menu?

Changed in linux (Ubuntu):
status: New → Triaged
importance: Undecided → Critical
Changed in linux (Ubuntu Bionic):
status: New → Triaged
importance: Undecided → Critical
tags: added: kernel-key
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Joseph Salisbury (jsalisbury) wrote :

Also, are there any error messages, such as a kernel panic when the system wont boot? If so, can you capture a screen shot or digital image?

summary: - failure to boot with inux-image-4.15.0-24-generic
+ failure to boot with linux-image-4.15.0-24-generic
Joseph Salisbury (jsalisbury) wrote :

Bug does not affect Lenovo X250 or P51.

I can perform a bisect to identify the commit that caused this? Is it possible for folks affected by this bug to test some kernels that I build?

@ #12

No booting to previous kernels (4.15.0-23 or -20) doesn't solve the problem, also removing 4.15.0-24 doesn't help here.

I'm in doubt it's a kernel problem.

If you do a little research you'll find that this issue (Started gnome display manager. dispatcher service ...... tem changes.pp link was shut down) also happened with previous Ubuntu versions. It seems related to GDM3.

I tried to disable wayland in GDM3 (by setting WaylandEnable=false in custom.conf) also of no help.

Joseph Salisbury (jsalisbury) wrote :

I started a kernel bisect between 4.15.0-23 and 4.15.0-24. The kernel bisect will require testing of about 7-10 test kernels.

I built the first test kernel, up to the following commit:
5a955cd22fdb93ad76312789ddee4d1e751e46e7

The test kernel can be downloaded from:
http://kernel.ubuntu.com/~jsalisbury/lp1779827

Can you test that kernel and report back if it has the bug or not? I will build the next test kernel based on your test results.

Thanks in advance

Joseph Salisbury (jsalisbury) wrote :

Can anyone else confirm that booting into prior kernel versions does not prevent the bug? If so, it probably is not a kernel bug.

For me, booting into previous kernel versions did not fix it. (DELL)

perry (fischpj) wrote :

Me either. The booting to prior kernel does not fix the issue. Glad to help test but need some instructions. Only have non-bootable system at this point.

This is interesting: I tried to boot linux-image-4.15.0-23-generic again and it did work now and after trying to boot linux-image-4.15.0-24-generic again, this did work as well and everything seems to be fine again...

perry (fischpj) wrote :

Agreed, I see the same thing. Glad 0-23 boots, but 0-24 still hangs at the Ubuntu logo, five white dots, not animated.

perry (fischpj) wrote :

Interesting thing happening... I tried booting 0-23 success, then did shutdown -r now, and tried booting 0-24, as noted above just hangs. Briefly hit power button tried to boot 0-23 again and now it doesn't boot...

Tried turning off power and then booting 0-23, still hangs, got "Started GNOME display manager. Dispatcher service......before the ppp link was shut down....

Initially when I had the issue this morning I just turned the power off and let the laptop sit for about three hours before trying to boot (successfully) the 0-23 kernel.

Frank (frank-jonsson) wrote :

Ctrl-Alt-F1 repeatingly if the prompt dies.
Updated all third party apps to newest versions.
Took a look at the boot.log
Made me run these:
sudo apt-get install --reinstall apparmor
systemctl start nmbd.service
It boots on 24 kernel.
Very fast suspiciously fast. Boot.log looks good.
Until now it works.

Sebastian (s-plaza) wrote :

The same issue on Lenovo M30-70.
I run Linux Mint 19 (cinnamon) parallelly on the same notebook. After upgrade to kernel 4.15.0-24 it hangs too. But here it boots with a prior kernel without problems and I turned off the upgrade to 4.15.0-24.

Alessandro (castu92) wrote :

Same problem here with T440s. I found a quick workaround. I put the computer in standby when the 5 dots of ubuntu logo are stuck. Then resume and the login screen appears.

As no trick mentioned here worked ...

I made a fresh install and updated everything except the kernel (which remains at 4.15.0-20). And my Lenovo T 520 works again.

So indeed kernel 4.15.0-24 seems the culprit. No glue why booting to previous installed kernels doesn't work either as soon 4.15.0-24 is installed.

Frank (frank-jonsson) wrote :

Here a screen dump of the packages, as required, that causes my incident, I guess!
It is from a T460 and was opened July 4th.
Please find dump attached.

Jindrich Ocenasek (ocenasekj) wrote :

Hi,

on my X230 I have run a fresh installation from USB and then update to the 4.10.0-24. Now the computer boots but it takes much more time. It hangs for cca 2 minutes on the Ubuntu dots screen with all 5 dots white and does not react at all.

Frank (frank-jonsson) wrote :

CTRL-ALT-F1 and check the boot sequence for what it using 2 minutes for.
Might be what I experienced:

sudo apt-get install --reinstall apparmor
systemctl start nmbd.service

There might be several more services like that.

Have a look at https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=897631

it seems the kernel update breaks gdm

Yaroslav (yaroslav.shlapak) wrote :

Same issue on the workstation, few hours spent to fix it by reinstalling gnome, gdm3, apparmor, loading previous kernel, switching to lightdm. Nothing helps, complete reinstall. Very frustrating, because need to return to configuration/installing apps for next the few weeks.
With Ubuntu you should get used to always have the drive with recent version near you in case of something go wrong. Because from my experience it is faster to reinstall than fix such issues.

Adrian (thehim) wrote :

I'm not sure if my issue is related:

I upgraded to 4.15.0-24 yesterday (no other updates) and this morning I get a blank screen on boot that sits there indefinitely (i.e. minutes).

To fix this, I CTRL-ALT-F6 to get another tty, which immediately show up. This however seems to trigger some event, as the graphical login appears (displaces) my tty6 terminal without my intervention. So I can reliably get the graphical login back by "playing" with tty6.

One thing I noticed during boot was the `nvidia-persistenced` (using Nvidia's proprietary 390 drivers) service doing a dozen start/stops in quick succession. This doesn't show up every time though, and the blank screen that follows prevents me from seeing more.

`snapd.service` and `unbound.service` appear as the main offenders, but I'm not sure what's cause and effect here.

Booting with the prior 4.15.0-23 kernel works fine, as before.

Krzysztof Kolasa (kkolasa) wrote :

I confirm stopping the system loading on the "Ubuntu" board on the kernel 4.15.0-24,
the problem is probably related to the nvidia graphics card, my hardware:

00:00.0 RAM memory: NVIDIA Corporation MCP61 Memory Controller (rev a1)
00:01.0 ISA bridge: NVIDIA Corporation MCP61 LPC Bridge (rev a2)
00:01.1 SMBus: NVIDIA Corporation MCP61 SMBus (rev a2)
00:01.2 RAM memory: NVIDIA Corporation MCP61 Memory Controller (rev a2)
00:02.0 USB controller: NVIDIA Corporation MCP61 USB 1.1 Controller (rev a3)
00:02.1 USB controller: NVIDIA Corporation MCP61 USB 2.0 Controller (rev a3)
00:04.0 PCI bridge: NVIDIA Corporation MCP61 PCI bridge (rev a1)
00:05.0 Audio device: NVIDIA Corporation MCP61 High Definition Audio (rev a2)
00:06.0 IDE interface: NVIDIA Corporation MCP61 IDE (rev a2)
00:07.0 Bridge: NVIDIA Corporation MCP61 Ethernet (rev a2)
00:08.0 IDE interface: NVIDIA Corporation MCP61 SATA Controller (rev a2)
00:08.1 IDE interface: NVIDIA Corporation MCP61 SATA Controller (rev a2)
00:09.0 PCI bridge: NVIDIA Corporation MCP61 PCI Express bridge (rev a2)
00:0b.0 PCI bridge: NVIDIA Corporation MCP61 PCI Express bridge (rev a2)
00:0c.0 PCI bridge: NVIDIA Corporation MCP61 PCI Express bridge (rev a2)
00:18.0 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices, Inc. [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
---->>>
02:00.0 VGA compatible controller: NVIDIA Corporation GT218 [GeForce 210] (rev a2)
---->>>
02:00.1 Audio device: NVIDIA Corporation High Definition Audio Controller (rev a1)

several different configurations work correctly on this kernel, but not this one

According to this page

https://debianforum.de/forum/viewtopic.php?f=33&t=169585&hilit=entropie

This newly introduced fix in 4.15.0-24 is the cause

'random: fix crng_ready() test'

when it's reverted (like in debian 4.9.88-1+deb9u1) boot is fine again

'linux (4.9.88-1+deb9u1) stretch-security; urgency=high
[...]
  * Revert "random: fix crng_ready() test" (Closes: #897599), reopening
    CVE-2018-1108'

another solution could be to install 'haveged' as proposed and verified here

https://debianforum.de/forum/viewtopic.php?f=33&t=169585&hilit=entropie

and here

https://forum.ubuntuusers.de/topic/nix-geht-mehr-nach-installation-und-update/

Adrian (thehim) wrote :

I can confirm that installing the 'haveged' package solves the issue. If lack of entropy was the issue, it makes sense that tinkering with the the non-graphical terminal caused the boot to proceed where plain waiting didn't.

perry (fischpj) wrote :

Happy confirmed as well! sudo apt install haveged fixes the issue.

AlwaysTired (alwaystired) wrote :

Installing haveged didn't work for me (currently using lightdm as a workaround).

Changed in linux (Ubuntu):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu Bionic):
assignee: nobody → Joseph Salisbury (jsalisbury)
Changed in linux (Ubuntu):
status: Triaged → In Progress
Changed in linux (Ubuntu Bionic):
status: Triaged → In Progress
Joseph Salisbury (jsalisbury) wrote :

Can folks affected by this bug test the following kernel:

http://kernel.ubuntu.com/~jsalisbury/lp1779827/

Note about installing test kernels:
• If the test kernel is prior to 4.15(Bionic) you need to install the linux-image and linux-image-extra .deb packages.
• If the test kernel is 4.15(Bionic) or newer, you need to install the linux-modules, linux-modules-extra and linux-image-unsigned .deb packages.

Thanks in advance!

Gratulations to Joseph Salisbury

the test kernel works like a charm

My Lenovo T520 boots rather quick without having haveged installed.

Thanks for this quick fix.

Stefan Bader (smb) on 2018-07-04
Changed in linux (Ubuntu Bionic):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
Changed in linux (Ubuntu Bionic):
status: Fix Released → Fix Committed
Brad Figg (brad-figg) on 2018-07-06
tags: added: verification-needed-bionic
27 comments hidden view all 107 comments
Zakhar (alainb06) wrote :
AlwaysTired (alwaystired) wrote :

Mine is a Toshiba Satellite Z30-A-1E9 laptop with a single SSD. I tried booting with the 4.15.0-26-generic kernel now with an external HDD attached, and still couldn't boot - I waited for more than 3.5min and it was still stuck on the "before the ppp link was shut down" message, so I switched to lightdm then it booted within ~15s without the external drive.

Charles Burns (chasb) wrote :

Participating in bug https://bugs.launchpad.net/ubuntu/+source/gdm3/+bug/1779476 for the last
couple of days.

Clevo barebook W540 pentium 3805U 1.90G onboard graphics BroadwellGT1 single ssd, intel Wless 3160, only hardware hanging off it is a usb wireless mouse.
Had indefinite hang begin with update to Ubuntu-offered *-24 kernel.
A fair amount of keyboarding and mouse wiggling (average 90s) is needed to wake the process up again.
Holding the SHIFT key speeds up the boot to an acceptable delay.
Once into Gnome, networking is also fairly retarded (average 45s) and sometimes needs UI operation for the Net Manager to do its usual auto connect to its secure network.
Installing haveged stopped the hang. Network also appears to be more responsive, but this can
be masked by the flaky operation of our el-cheapo wireless router. Using a usb dongle which emulates etho appears to deliver much more reliable network start.

Booting into *-23 stopped all symptoms - haveged not needed.
Booting into the dev channel *-26 returned the hang and added a few display artefacts to the plymouth/Gnome handover process. Zero networking delivered in Gnome, not even a UI for Net Manager.

Hanging a portable WD 1TB spinner off the laptop USB3 port returned a good boot time into Gnome with the *-24 kernel without haveged installed. Networking was however delayed variously between 60s and at one boot appeared to need UI input to wake the hardware up to the secure connection already in the Net Manager's list, even though Net Manager could immediately see other networks around the place.

Reverting now to *-23 kernel for the week's work.
Hope these naive reports were in any way useful.

The kernel provided in the proposed channel does not solve the issue for me. I also encounter the described boot issue in -23, -24 and -26 kernels. A workaround for me is using lightdm as display manager instead of gmd3.

What was proposed in this thread and didn't work for me:
* Installing havegd (verified for -23 and -24 kernels)
* Installing -26 form bionic-proposed
* Booting directly to -23 (without havegd)
* Adding a spinning disk during boot in -24, or -26 (not sure whether I also tested this one in -23)

I'm testing this on an HP ProBook 5320m (CPU: Intel Core i3 M350). This system does not have a dedicated GPU so I doubt it is caused by Nvidia cards directly as suggested before.

Rodrigo M. R. Avila (rodmra) wrote :

#50 : Another workaround besides the 'haveged' is 'rng-tools5'. I've booted through kernel version(4.15.0-23), installed the package 'rng-tools5' (because my processor supports it - intel 3rd generation or newest) and now i'm able to boot kernel 4.15.0-24 again.

Daniel van Vugt (vanvugt) wrote :

Kurt,

If you have an i3-350M then please see bug 1727356 instead.

In fact, everyone using an Intel CPU from 2010 or earlier please see bug 1727356 instead.

Mark (1aunchpad-nct) wrote :

This still looks like the getrandom() hang described in https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=897572. This was caused by the fix in the kernel for CVE-2018-1108. Two complementary fixes have been discussed in the Debian bug neither of which modify the kernel. The first is a change to the Plymouth package to avoid fontconfig generating uuids, which reportedly has the added bonus of speeding up boot compared to pre-CVE-fix times. The second is a change to randutils in the utils-linux package so they don't block on getrandom().

There's a link to the updated plymouth package which I tried:

https://packages.debian.org/sid/amd64/plymouth/download

Unfortunately all I got was a black screen, with or without haveged installed. This is not the getrandom hang. The screen remains black and no log is displayed. I suspect this is because some modification to the package or config files is needed for Ubuntu. Or maybe some other package needed reconfiguring due to the change plymouth. I'm no Ubuntu expert.

As I stated in comment #48, if these fixes indeed work, when properly incorporated into Ubuntu, they are preferable to backing out the CVE fix.

nickkon (nickkon) wrote :

Also confirm this bug at my DELL E4310. System boots very slowly. Reverting to *23 kernel fixed this problem.

Download full text (3.8 KiB)

My bionic system has been fine until today, when I thought it wouldn't complete the boot at all. It did in fact start after about 10 minutes. I tried again with the same result. I am on the *24 kernel. I tried *23 (from the boot list) but it made no difference. Moving the mouse seemed to help.

Installing haveged fixed it - so thanks for the information.

On the log I was getting various service problems, snapd timeouts, very long 'resolve transaction' and 'search-file' delays.

But why the change all of a sudden? Since Monday 9th July am I have installed the following. I hope this may help someone pin it down further.

Start-Date: 2018-07-09 12:46:30
Commandline: /usr/sbin/synaptic
Upgrade: libegl1:amd64 (1.0.0-2ubuntu2, 1.0.0-2ubuntu2.1), libegl1-mesa-dev:amd64 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libegl-mesa0:amd64 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), update-notifier-common:amd64 (3.192.1.1, 3.192.1.3), libgl1:amd64 (1.0.0-2ubuntu2, 1.0.0-2ubuntu2.1), libgl1:i386 (1.0.0-2ubuntu2, 1.0.0-2ubuntu2.1), libglapi-mesa:amd64 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libglapi-mesa:i386 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libopengl0:amd64 (1.0.0-2ubuntu2, 1.0.0-2ubuntu2.1), libxatracker2:amd64 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libegl1-mesa:amd64 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libgles2:amd64 (1.0.0-2ubuntu2, 1.0.0-2ubuntu2.1), libgbm1:amd64 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libglvnd-dev:amd64 (1.0.0-2ubuntu2, 1.0.0-2ubuntu2.1), libwayland-egl1-mesa:amd64 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libglx0:amd64 (1.0.0-2ubuntu2, 1.0.0-2ubuntu2.1), libglx0:i386 (1.0.0-2ubuntu2, 1.0.0-2ubuntu2.1), libglvnd-core-dev:amd64 (1.0.0-2ubuntu2, 1.0.0-2ubuntu2.1), libgl1-mesa-dri:amd64 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libgl1-mesa-dri:i386 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libosmesa6:amd64 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libosmesa6:i386 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libgl1-mesa-glx:amd64 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libgl1-mesa-glx:i386 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), mesa-vdpau-drivers:amd64 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), update-notifier:amd64 (3.192.1.1, 3.192.1.3), mesa-va-drivers:amd64 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libglx-mesa0:amd64 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libglx-mesa0:i386 (18.0.0~rc5-1ubuntu1, 18.0.5-0ubuntu0~18.04.1), libglvnd0:amd64 (1.0.0-2ubuntu2, 1.0.0-2ubuntu2.1), libglvnd0:i386 (1.0.0-2ubuntu2, 1.0.0-2ubuntu2.1)
End-Date: 2018-07-09 12:46:44

Start-Date: 2018-07-09 20:40:50
Commandline: /usr/sbin/synaptic
Upgrade: libjpeg-turbo8-dev:amd64 (1.5.2-0ubuntu5, 1.5.2-0ubuntu5.18.04.1), libjpeg-turbo-progs:amd64 (1.5.2-0ubuntu5, 1.5.2-0ubuntu5.18.04.1), grub-common:amd64 (2.02-2ubuntu8, 2.02-2ubuntu8.1), grub2-common:amd64 (2.02-2ubuntu8, 2.02-2ubuntu8.1), kactivitymanagerd:amd64 (5.12.5-0ubuntu0.1, 5.12.6-0ubuntu0.1), grub-efi-amd64-bin:amd64 (2.02-2ubuntu8, 2.02-2ubuntu8.1), grub-efi-amd64:amd64 (2.02-2ubuntu8, 2.02-2ubuntu8.1), shim-signed:amd64 (1.34.9.1+13-0ubuntu2, 1.34.9.2+13-0ubuntu2), libjpeg-...

Read more...

mocnak (mocnak) wrote :

what helped me, when I was stuck on black boot screen, was to reinstall Gnome:

sudo apt purge gdm3
sudo apt install gdm3 ubuntu-desktop
systemctl restart gdm

after that everything works. - Running Ubuntu 18.04

Mark (1aunchpad-nct) wrote :

@mocnak, re. comment #78. Thanks. I reinstalled gdm3 but didn't think about ubuntu-desktop. Anyway I've reverted to the existing Ubuntu version of plymouth and got my system working again (with haveged).

Did you try the fixed Plymouth?

1 comments hidden view all 107 comments

before I wanted reply to your question, I rebooted my laptop, and now I'm
stuck on boot screen - so not the same as error described here. Anyway, it
helped me just to log-in once and now I'm on OS unable to boot properly
again. It took around 3 minutes to show me login screen.

On Tue, Jul 10, 2018, 17:57 Mark <email address hidden> wrote:

> @mocnak, re. comment #78. Thanks. I reinstalled gdm3 but didn't think
> about ubuntu-desktop. Anyway I've reverted to the existing Ubuntu
> version of plymouth and got my system working again (with haveged).
>
> Did you try the fixed Plymouth?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/1779827
>
> Title:
> failure to boot with linux-image-4.15.0-24-generic
>
> Status in Ubuntu:
> Confirmed
> Status in linux package in Ubuntu:
> In Progress
> Status in The Bionic Beaver:
> Confirmed
> Status in linux source package in Bionic:
> Fix Committed
>
> Bug description:
> This was the last OK then my 18.04 hangs after an update this morning.
> 07:00 AM CEST
>
> Last Ok in boot was Started gnome display manager. dispatcher service
> ...... tem changes.pp link was shut down
>
> Tried install lightdm from command line and the response was lastest
> already installed.
>
> Probably it is what is coming after the lastest OK which is to be the
> error. And here I have lots of guesses......
>
> Any Ideas ? I need to do some work and I may not be waiting long.
>
> Search and browsed and now close to give up. Yeah it is a Lenovo.
>
> Guys: turn of auto update it is a machine killer.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/ubuntu/+bug/1779827/+subscriptions
>

bas bb (basbb) wrote :

Tried mocnak's solution, no effect

Regular install 5 weeks old, update snappy breaks, update no more gui. Mocnak solution, zero effect, in syslog gdm complains about wrong parameters.

I am running a AMD a12 laptop, 16gbyte ram, 256gbyte ssd, 207gbyte free disk space. All filesystems 90% or more space available.

(I might not be there to test solution, migrating to the evil side because i need to get work done, VM's run on the evil-OS too.)

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Confirmed
status: Confirmed → Fix Committed
1 comments hidden view all 107 comments
Zakhar (alainb06) wrote :

Sorry... my "bug" was PEBCAK!

It has nothing to do with entropy. I copied the system from an old HDD to a SDD, and in the process didn't change the resume UID that sits in: /etc/initramfs-tools/conf.d/resume

It was still pointing to a partition UID on the old disk. Hence when the old disk was attached via USB all was normal, but when the disk was not there, the system waited for 30 seconds to see that UID and try to resume.

I then replace the old UID with "none" (since I won't be hibernating that machine) did the initram command, and now all is fine.

So please, disregard posts #66 to #69, they are unrelated to the topic!

My apologies again.

Changed in linux (Ubuntu Bionic):
milestone: none → ubuntu-18.04.1
AlwaysTired (alwaystired) wrote :
Download full text (3.9 KiB)

I'm happy to report that I was able to boot normally with gdm now, and it didn't get stuck. Yesterday I removed and reinstalled gdm3 and ubuntu-desktop, as suggested here, rebooted, but it was still the same (i.e. stuck in reboot), so I switched back to lightdm. Today when I turned it on it started normally using gdm (although I don't remember switching it to gdm again!).

This is the dpkg log, in case it helps someone - the problem started after July 3rd, and was solved after July 10th:
2018-07-03 09:56:21 install linux-cloud-tools-4.15.0-24:amd64 <none> 4.15.0-24.26
2018-07-03 09:56:21 install linux-cloud-tools-4.15.0-24-generic:amd64 <none> 4.15.0-24.26
2018-07-03 09:56:21 install linux-modules-4.15.0-24-generic:amd64 <none> 4.15.0-24.26
2018-07-03 09:56:25 install linux-image-4.15.0-24-generic:amd64 <none> 4.15.0-24.26
2018-07-03 09:56:26 install linux-modules-extra-4.15.0-24-generic:amd64 <none> 4.15.0-24.26
2018-07-03 09:56:38 install linux-headers-4.15.0-24:all <none> 4.15.0-24.26
2018-07-03 09:57:03 install linux-headers-4.15.0-24-generic:amd64 <none> 4.15.0-24.26
2018-07-03 09:57:19 install linux-tools-4.15.0-24:amd64 <none> 4.15.0-24.26
2018-07-03 09:57:20 install linux-tools-4.15.0-24-generic:amd64 <none> 4.15.0-24.26
2018-07-04 11:58:33 install lightdm:amd64 1.26.0-0ubuntu1 1.26.0-0ubuntu1
2018-07-04 11:58:34 install libgeoclue0:amd64 <none> 0.12.99-4ubuntu2
2018-07-04 11:58:34 install libnm-util2:amd64 <none> 1.10.6-2ubuntu1
2018-07-04 11:58:35 install libnm-glib4:amd64 <none> 1.10.6-2ubuntu1
2018-07-04 11:58:35 install geoclue:amd64 <none> 0.12.99-4ubuntu2
2018-07-04 11:58:35 install geoclue-ubuntu-geoip:amd64 <none> 1.0.2+18.04.20180223-0ubuntu1
2018-07-04 11:58:35 install libpanel-applet3:amd64 <none> 1:3.26.0-1ubuntu5
2018-07-04 11:58:36 install indicator-applet:amd64 <none> 12.10.2+17.10.20170425-0ubuntu1
2018-07-04 11:58:36 install indicator-application:amd64 12.10.1+17.04.20161201-0ubuntu1 12.10.1+17.04.20161201-0ubuntu1
2018-07-04 11:58:36 install liburl-dispatcher1:amd64 <none> 0.1+17.04.20170328-0ubuntu4
2018-07-04 11:58:37 install indicator-datetime:amd64 15.10+17.10.20170829.2-0ubuntu4 15.10+17.10.20170829.2-0ubuntu4
2018-07-04 11:58:37 install liblightdm-gobject-1-0:amd64 <none> 1.26.0-0ubuntu1
2018-07-04 11:58:37 install indicator-keyboard:amd64 0.0.0+18.04.20180216-0ubuntu1 0.0.0+18.04.20180216-0ubuntu1
2018-07-04 11:58:37 install indicator-messages:amd64 13.10.1+17.04.20170120-0ubuntu2 13.10.1+17.04.20170120-0ubuntu2
2018-07-04 11:58:38 install indicator-power:amd64 12.10.6+17.10.20170829.1-0ubuntu4 12.10.6+17.10.20170829.1-0ubuntu4
2018-07-04 11:58:38 install indicator-session:amd64 17.3.20+17.10.20171006-0ubuntu1 17.3.20+17.10.20171006-0ubuntu1
2018-07-04 11:58:39 install ubuntu-touch-sounds:all <none> 15.08
2018-07-04 11:58:39 install unity-greeter:amd64 18.04.0+18.04.20180314.1-0ubuntu2 18.04.0+18.04.20180314.1-0ubuntu2
2018-07-04 11:58:40 install indicator-sound:amd64 12.10.2+18.04.20180420.3-0ubuntu1 12.10.2+18.04.20180420.3-0ubuntu1
2018-07-04 16:12:19 install libhavege1:amd64 <none> 1.9.1-6
2018-07-04 16:12:20 install haveged:amd64 <none> 1.9.1-6
2018-07-06 17:44:45 install linux-modules-4.15.0-26-generic:...

Read more...

Dimitrij Mijoski (dimztimz) wrote :

I am also affected by this, and it is most likely the issue with entropy for randomness, because if I mash some random keys, I get to boot.

Tim (m-tim-smith) wrote :

@dimztimz - could you elaborate on what u did specifically? Other solutions above (not the patched kernel) don't work for me.

wpshooter (joverstreet1) wrote :

I have come to the conclusion that the problem with the #24 Linux Kernel is related
to the use of SSD hard drives.

I just took my SSD out of my computer and replaced it with an old manual / mechanical
hard drive and installed Linux Mint 19 on it including the #24 Kernel and it worked/booted
perfectly after the installation of #24, whereas previously when I was using my SSD in
the computer the #24 kernel broke the system and would not boot.

Hope someone addresses this issue fairly quickly because me thinks there are a lot
of people like me who have switched to SSD.

Thanks.

Gannet (ken20001) wrote :

>I have come to the conclusion that the problem with the #24 Linux Kernel is related
to the use of SSD hard drives.
Really? Well, how smart! Just try to read a previous posts and you'll understand that you're completely wrong.

Mark (1aunchpad-nct) wrote :

@m-tim-smith, comment #85, if none of the fixes/workarounds here are working for you, perhaps you have a different problem with very similar symptoms. For example bug #1779476.

@joverstreet1, comment #86, I have an SSD and my system's been running fine with kernel 24 since I installed haveged.

wpshooter (joverstreet1) wrote :

Did you install haveged "BEFORE" you attempted update to kernel #24 ?

Is you SSD a Western Digital, may I ask ?

Perhaps haveged is a solution but does not sound like a particularly
good one. How is one supposed to know that they have to do this ?

Sounds like to me that there is something in kernel #24 that needs to
be fixed so that will will work properly with SSD without having to
add this that and the other to get it to work.

Thanks for the info.

wpshooter (joverstreet1) wrote :

tim-smith:

I installed haveged and then install kernel #24 and unlike before
now seems to boot and run just fine.

Are the developers of the kernel aware of this problem ?

Sounds like adding haveged is a patchwork fix at best and that some
change to the kernel itself needs to be made - what that might
be, I have no idea because me certainly have EXTREMELY little
programming experience. Sort of thinking about going back to
Mint 18.3 for now.

Thanks.

Mark (1aunchpad-nct) wrote :

@joverstreet1, kernel 24 was installed first, by Ubuntu Software Updater. I then installed haveged to work around a kernel change to getrandom(). My SSD is not Western Digital but the SSD has nothing to do with the problem, at least not the one that is the focus of this bug report.

The kernel change was done to fix CVE-2018-1108 as explained earlier in this bug. Some packages used during boot tripped over this change. According to https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=897572 the offenders have been identified and fixed. However it seems Ubuntu has backed out the CVE fix instead.

The problem packages are plymouth & randutils (in utils_linux). The kernel change causes them to hang waiting for entropy. plymouth is involved in boot. It manages the handover from boot to the graphical login screen.

So yes the kernel, and other, developers are aware. I think Ubuntu release a new kernel with the CVE fix removed but I haven't used my Linux box for the last couple of days so don't know for sure.

delosari (lativmail) wrote :

Please could anyone share some detailed instructions on how to apply these quick fixes...

I am having these issues with my dell Inspiron 15 7000 series all of a sudden with ubuntu 18.04

I try to run ctrl+alt+f1 but it goes to bios.

Please some advice... I am having this issue just know while finishing my phd.

Wes Newell (wesnewell) wrote :

Easiest thing to do is just delete the .24 kernel. During boot, start tapping the esc key repeatedly. You should get the grub menu. Select the advanced option, and then load the last good kernel, which should be the .23 one if you've kept the system up to date. Once it boots and everything is working right, you can use your package manager to remove the offending .24 kernel or do it manually with sudo apt remove <kernel name>. Once you've removed it, grub will automatically be updated so it will boot to the .23 kernel. FWIW, the .24 kernel was removed from the repo as to not to infect people that do updates now.

delosari (lativmail) wrote :

Thank you Wes Newell for your reply.

I only installed ubuntu on this computer (big big big mistake) I do not have the grub menu at start.

After typing many commands which I did not understand ubuntu started. I have lost the sound however and now I am afraid to turn it off. If I run:

dpkg -l | grep linux-imagerc

linux-image-4.15.0-20-generic 4.15.0-20.21 amd64 Signed kernel image generic
rc linux-image-4.15.0-22-generic 4.15.0-22.24 amd64 Signed kernel image generic
ii linux-image-4.15.0-23-generic 4.15.0-23.25 amd64 Signed kernel image generic
ii linux-image-4.15.0-24-generic 4.15.0-24.26 amd64 Signed kernel image generic
ii linux-image-generic 4.15.0.23.25 amd64 Generic Linux kernel image

And currently:

uname -r:
4.15.0-24-generic

Which commands should I run to purge that kernel and run the previous one? Should I do it from tty? or from the current session? Should I wait for an update or will that make it worse...

Ki Sung Bae (realgsong-s) wrote :

@delosari https://forum.snapcraft.io/t/snapd-service-delays-startup-in-ubuntu-18-04-with-4-15-0-24/6205/10 says pressing shift key continuously during boot could be a workaround. It worked for me.

Wes Newell (wesnewell) wrote :

Has to be the right shift key on my 18.04lts system, but I've always just used tapping the Esc key immediately after post until the grub menu comes up. I explained earlier how to remove the .24 kernel. But don't try to remove the one you are running at the time. Not sure what would happen then.

Mark Fraser (launchpad-mfraz) wrote :

Seeing this on Kubuntu 18.04 too. The haveged work around worked yesterday, but this morning I had to go back to 4.13 - the only previous kernel I have installed.

Ralf Hersel (ralf.hersel) wrote :

Installing the entropy daemon 'haveged' (sudo apt install haveged) worked on my notebook (Clevo, Tuxedo MS-1753, Kernel 4.15.0-24-generic). Boot time is as normal. Also manually adding entropy by moving the mouse like hell, reduced the boot time from 5 to 1.4 minutes.

TR Precht (trprecht) wrote :

This effected me after my first reboot in a couple weeks. I tried earlier kernels, still wouldn't boot.
Hangs on "[ OK ] Started GNOME Display Manager. Dispatcher Service......tem changes.pp link was shut down...."

 I was able to switch to lightdm to get in, but any time I try to update I get several pages of errors about python3 not being configured and py files being missing.

No apport report written because MaxReports is reached already
Errors were encountered while processing:
python3
update-notifier-common
python3-update-manager
gnome-shell
update-notifier
unattended-upgrades
update-manager
gnome-menus
update-manager-core
gdm3
E: Sub-process /usr/bin/dpkg returned an error code (1)

Any time I try to reboot with GDM, it hangs. will boot, ~mostly~ okay with lightdm.

My system is a System76 Sable Touch 3. 4th Generation Intel® Core™ i5-4440S ( 2.80GHz - 6MB cache - 4 Cores - HD Graphics 4600 )

Piotr Czekalski (pczekalski) wrote :

Same here with Lenovo Yoga S1 laptop :(.

tags: removed: kernel-key
Changed in linux (Ubuntu):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (4.1 KiB)

This bug was fixed in the package linux - 4.15.0-29.31

---------------
linux (4.15.0-29.31) bionic; urgency=medium

  * linux: 4.15.0-29.31 -proposed tracker (LP: #1782173)

  * [SRU Bionic][Cosmic] kernel panic in ipmi_ssif at msg_done_handler
    (LP: #1777716)
    - ipmi_ssif: Fix kernel panic at msg_done_handler

  * Update to ocxl driver for 18.04.1 (LP: #1775786)
    - misc: ocxl: use put_device() instead of device_unregister()
    - powerpc: Add TIDR CPU feature for POWER9
    - powerpc: Use TIDR CPU feature to control TIDR allocation
    - powerpc: use task_pid_nr() for TID allocation
    - ocxl: Rename pnv_ocxl_spa_remove_pe to clarify it's action
    - ocxl: Expose the thread_id needed for wait on POWER9
    - ocxl: Add an IOCTL so userspace knows what OCXL features are available
    - ocxl: Document new OCXL IOCTLs
    - ocxl: Fix missing unlock on error in afu_ioctl_enable_p9_wait()

  * Critical upstream bugfix missing in Ubuntu 18.04 - frequent Xorg crash after
    suspend (LP: #1776887)
    - ocxl: Document the OCXL_IOCTL_GET_METADATA IOCTL

  * Hard LOCKUP observed on stressing Ubuntu 18 04 (LP: #1777194)
    - powerpc: use NMI IPI for smp_send_stop
    - powerpc: Fix smp_send_stop NMI IPI handling

  * IPL: ppc64_cpu --frequency hang with INFO: rcu_sched detected stalls on
    CPUs/tasks on w34 and wsbmc016 with 920.1714.20170330n (LP: #1773964)
    - rtc: opal: Fix OPAL RTC driver OPAL_BUSY loops

  * [Regression] EXT4-fs error (device sda2): ext4_validate_block_bitmap:383:
    comm stress-ng: bg 4705: bad block bitmap checksum (LP: #1781709)
    - SAUCE: Revert "UBUNTU: SAUCE: ext4: fix ext4_validate_inode_bitmap: comm
      stress-ng: Corrupt inode bitmap"
    - SAUCE: ext4: check for allocation block validity with block group locked

linux (4.15.0-28.30) bionic; urgency=medium

  * linux: 4.15.0-28.30 -proposed tracker (LP: #1781433)

  * Cannot set MTU higher than 1500 in Xen instance (LP: #1781413)
    - xen-netfront: Fix mismatched rtnl_unlock
    - xen-netfront: Update features after registering netdev

linux (4.15.0-27.29) bionic; urgency=medium

  * linux: 4.15.0-27.29 -proposed tracker (LP: #1781062)

  * [Regression] EXT4-fs error (device sda1): ext4_validate_inode_bitmap:99:
    comm stress-ng: Corrupt inode bitmap (LP: #1780137)
    - SAUCE: ext4: fix ext4_validate_inode_bitmap: comm stress-ng: Corrupt inode
      bitmap

linux (4.15.0-26.28) bionic; urgency=medium

  * linux: 4.15.0-26.28 -proposed tracker (LP: #1780112)

  * failure to boot with linux-image-4.15.0-24-generic (LP: #1779827) // Cloud-
    init causes potentially huge boot delays with 4.15 kernels (LP: #1780062)
    - random: Make getrandom() ready earlier

linux (4.15.0-25.27) bionic; urgency=medium

  * linux: 4.15.0-25.27 -proposed tracker (LP: #1779354)

  * hisi_sas_v3_hw: internal task abort: timeout and not done. (LP: #1777736)
    - scsi: hisi_sas: Update a couple of register settings for v3 hw

  * hisi_sas: Add missing PHY spinlock init (LP: #1777734)
    - scsi: hisi_sas: Add missing PHY spinlock init

  * hisi_sas: improve read performance by pre-allocating slot DMA buffers
    (LP: #1777727)
    - scsi: hisi_sas: use dma_zalloc_cohe...

Read more...

Changed in linux (Ubuntu Bionic):
status: Fix Committed → Fix Released
moe (koksnuss) wrote :

@Joseph Salisbury: I am confused. Looking at USN-3718-1 (https://usn.ubuntu.com/3718-1/) and USN-3718-2 (https://usn.ubuntu.com/3718-2/) it seems like CVE-1108 is fixed in Ubuntu 18.04 LTS for several linux kernel flavors (azure, gcp, hwe, kvm, oem and stock) and a subset for Ubuntu 16.04 LTS.

However the table at https://people.canonical.com/~kernel/cve/pkg/ALL-linux.html states 'pending applied'. The table https://people.canonical.com/~ubuntu-security/cve/2018/CVE-2018-1108.html states 'pending' and so on.

So my question is: is CVE-2018-1108 fixed in Ubuntu 18.04 LTS and 16.04 LTS? And if so since which kernel version? Did the new kernel that led to this bugreport fix the vulnerability. Did the fix you developed reintroduce the vulnerability?

Regards and thank you for your efforts!

moe (koksnuss) wrote :

I mean CVE-2018-1108 ...

Launchpad Janitor (janitor) wrote :
Download full text (4.1 KiB)

This bug was fixed in the package linux - 4.15.0-29.31

---------------
linux (4.15.0-29.31) bionic; urgency=medium

  * linux: 4.15.0-29.31 -proposed tracker (LP: #1782173)

  * [SRU Bionic][Cosmic] kernel panic in ipmi_ssif at msg_done_handler
    (LP: #1777716)
    - ipmi_ssif: Fix kernel panic at msg_done_handler

  * Update to ocxl driver for 18.04.1 (LP: #1775786)
    - misc: ocxl: use put_device() instead of device_unregister()
    - powerpc: Add TIDR CPU feature for POWER9
    - powerpc: Use TIDR CPU feature to control TIDR allocation
    - powerpc: use task_pid_nr() for TID allocation
    - ocxl: Rename pnv_ocxl_spa_remove_pe to clarify it's action
    - ocxl: Expose the thread_id needed for wait on POWER9
    - ocxl: Add an IOCTL so userspace knows what OCXL features are available
    - ocxl: Document new OCXL IOCTLs
    - ocxl: Fix missing unlock on error in afu_ioctl_enable_p9_wait()

  * Critical upstream bugfix missing in Ubuntu 18.04 - frequent Xorg crash after
    suspend (LP: #1776887)
    - ocxl: Document the OCXL_IOCTL_GET_METADATA IOCTL

  * Hard LOCKUP observed on stressing Ubuntu 18 04 (LP: #1777194)
    - powerpc: use NMI IPI for smp_send_stop
    - powerpc: Fix smp_send_stop NMI IPI handling

  * IPL: ppc64_cpu --frequency hang with INFO: rcu_sched detected stalls on
    CPUs/tasks on w34 and wsbmc016 with 920.1714.20170330n (LP: #1773964)
    - rtc: opal: Fix OPAL RTC driver OPAL_BUSY loops

  * [Regression] EXT4-fs error (device sda2): ext4_validate_block_bitmap:383:
    comm stress-ng: bg 4705: bad block bitmap checksum (LP: #1781709)
    - SAUCE: Revert "UBUNTU: SAUCE: ext4: fix ext4_validate_inode_bitmap: comm
      stress-ng: Corrupt inode bitmap"
    - SAUCE: ext4: check for allocation block validity with block group locked

linux (4.15.0-28.30) bionic; urgency=medium

  * linux: 4.15.0-28.30 -proposed tracker (LP: #1781433)

  * Cannot set MTU higher than 1500 in Xen instance (LP: #1781413)
    - xen-netfront: Fix mismatched rtnl_unlock
    - xen-netfront: Update features after registering netdev

linux (4.15.0-27.29) bionic; urgency=medium

  * linux: 4.15.0-27.29 -proposed tracker (LP: #1781062)

  * [Regression] EXT4-fs error (device sda1): ext4_validate_inode_bitmap:99:
    comm stress-ng: Corrupt inode bitmap (LP: #1780137)
    - SAUCE: ext4: fix ext4_validate_inode_bitmap: comm stress-ng: Corrupt inode
      bitmap

linux (4.15.0-26.28) bionic; urgency=medium

  * linux: 4.15.0-26.28 -proposed tracker (LP: #1780112)

  * failure to boot with linux-image-4.15.0-24-generic (LP: #1779827) // Cloud-
    init causes potentially huge boot delays with 4.15 kernels (LP: #1780062)
    - random: Make getrandom() ready earlier

linux (4.15.0-25.27) bionic; urgency=medium

  * linux: 4.15.0-25.27 -proposed tracker (LP: #1779354)

  * hisi_sas_v3_hw: internal task abort: timeout and not done. (LP: #1777736)
    - scsi: hisi_sas: Update a couple of register settings for v3 hw

  * hisi_sas: Add missing PHY spinlock init (LP: #1777734)
    - scsi: hisi_sas: Add missing PHY spinlock init

  * hisi_sas: improve read performance by pre-allocating slot DMA buffers
    (LP: #1777727)
    - scsi: hisi_sas: use dma_zalloc_cohe...

Read more...

Changed in linux (Ubuntu):
status: Fix Committed → Fix Released

I noticed similar effect with very recent (4.17) kernels. In 4.16.8 there were changes in random.c due to a security flaw. The function that detects "having enough entropy" is now strictly blocking. In the early boot phase this is bad on any machine without enough entropy sources. The kernel has 3 such sources: character devices, block devices and interrupts. On newer machines you can also have hardware random engines like in intel cores gen3+ (ivy bridge). This effect does not appear on computers with such a hw-rng. If you have one without hw-rng, and with a SSD only (they are not used for entropy gathering) and you don't mode your mouse, you are likely seeing this. The bad thing is, this kernel patch is actually necessary to prevent the system starting with insufficient safe random numbers. I applied a patch that reverts commit 43838a23a05fbd13e47d750d3dfd77001536dd33 in the kernel. After this change the startup worked like expected, but this is not a solution as it re-invents CVE-2018-1108. An idea would be to add a hw-rng like https://www.crowdsupply.com/13-37/infinite-noise-trng, but i did not test that so far. Check your cpu for the rdrand flag (lscpu). An entropy deamon like rngd helps only if you have entropy sources that it can use.

azanaz (azanaz) wrote :

The updated kernel doesn't fix the issue for me. I still need to have 3 or 4 usb sticks connected to the computer so it can boot correctly and not get stuck on a blank screen. Probably still an entropy issue.

Gannet (ken20001) wrote :

Hello.
With kernel -29 my VM boots fast as usual. But another strange thing I'm discovering is that plymouth image still blinking over desktop. It happens from time to time. Not always, but regularly.

Displaying first 40 and last 40 comments. View all 107 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.